#include <iostream>
#include "..\testlib.h"
using namespace std;


int main(){
    registerValidation();
    
    int n = inf.readInt(1, 100000);    
    const int maxc = 1000000000;
    inf.readSpace();
    inf.readInt(1,maxc);
    inf.readSpace();
    inf.readInt(1,maxc);
    inf.readEoln();
    for (int i = 0; i < n; i++){
    	inf.readInt(1,maxc);
    	inf.readSpace();
    	inf.readInt(1,maxc);
    	inf.readEoln();
    }
    inf.readEof();	
    return 0;
}
